:host {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
  font-family: 'Roboto', sans-serif;
}

.post {
  height: 100%;
  display: flex;
  flex-direction: column;
}

.post__header {
  padding: 16px;
  background-color: #007ad9;
  color: white;
  border-top-left-radius: 8px;
  border-top-right-radius: 8px;
}

.post__title {
  margin: 0 0 8px;
  font-size: 1.4em;
}

.post__username {
  margin: 0;
  font-style: italic;
}

.post__date {
  font-style: normal;
}

.post__content {
  padding: 16px;
  border: 1px solid #007ad9;
  flex: 1;
  display: flex;
  flex-direction: column;
}

.post__text {
  margin: 0 0 32px;
  flex: 1;
}

.post__comments-button {
  padding: 8px;
  border: none;
  background-color: #007ad9;
  color: white;
  margin: 0;
  box-shadow: none;
  text-transform: uppercase;
}

.post__footer {
  text-align: center;
}